<!-- eslint-disable -->
<i18n>
{
  "de": {
    "mainnav.home": "Projekt",
    "mainnav.map": "Karte",
    "mainnav.gallery": "Galerie",
    "mainnav.add": "Eintragen",
    "title1": "Abriss",
    "title2": "Atlas"
  },
  "fr": {
    "mainnav.home": "Projet",
    "mainnav.map": "Carte",
    "mainnav.gallery": "Galerie",
    "mainnav.add": "Soumettre un objet",
    "title1": "Atlas de",
    "title2": "démolition"
  },
  "en": {
    "mainnav.home": "Project",
    "mainnav.map": "Map",
    "mainnav.gallery": "Gallery",
    "mainnav.add": "Submit",
    "title1": "Atlas of",
    "title2": "Demolition"
  },
  "it": {
    "mainnav.home": "Progetto",
    "mainnav.map": "Mappa",
    "mainnav.gallery": "Galleria",
    "mainnav.add": "Inserisci",
    "title1": "Atlante delle",
    "title2": "demolizioni"
  }
}
</i18n>
<!-- eslint-enable -->

<template>
  <div>
    <v-app-bar app prominent flat id="topbar">
      <v-row class="menu" no-gutters>
          <!-- <<nav class="d-none d-sm-block">
            <language-switch
              expanded="1" v-if="$route.name == 'home'"
              style="pointer-events: all;" />
          </nav>-->
        <!-- <div class="d-none d-md-block"><language-switch/></div> -->
        <!-- <div class="useractions d-none d-sm-block">
          <user-actions />
        </div>-->
        <v-col cols="9" class="text-left">
          <h1 class="text-h1">{{ $t('title1') }}</h1>
          <h1 class="text-h1">{{ $t('title2') }}</h1>
        </v-col>
        <v-col cols="3" class="text-right">
          <v-app-bar-nav-icon
            @click="mobnav=!mobnav" class="d-sm-none icon"
            style="pointer-events: all;">
            <v-icon large>$vuetify.icons.menu</v-icon>
          </v-app-bar-nav-icon>
          <nav id="mainnav" class="d-none d-sm-block">
            <router-link
              v-for="item in mainnav"
              :key="item.textKey"
              :class="item.name == $route.name ? 'active' : ''"
              :to="'/' + $i18n.locale + item.route + '/'">{{ $t(item.textKey) }}</router-link>
          </nav>
        </v-col>
      </v-row>
    </v-app-bar>

    <v-navigation-drawer
      left app light
      class="mobnav" v-model="mobnav"
      disable-resize-watcher width="100%">
      <v-toolbar flat class="mx-2">
        <v-spacer></v-spacer>
        <v-btn icon large @click="mobnav=!mobnav" class="icon">
          <v-icon large>$vuetify.icons.close</v-icon>
        </v-btn>
      </v-toolbar>
      <div class="text-right mx-2"><language-switch expanded="1" /></div>
      <v-list>
        <v-list-item
          :class="item.route == $route.path ? 'active' : ''"
          v-for="item in mainnav" :key="item.textKey"
          :to="'/' + $i18n.locale + item.route + '/'">
          <v-list-item-content>
            <v-list-item-title>{{ $t(item.textKey) }}</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>
  </div>
</template>

<style>
button svg {
  color: #212121;
}
button:hover::before {
  opacity: 0 !important;
}
button svg:hover {
  color: #B2B2B2;
}
.icon {
  margin-top: 0.4em;
}
.text-h1 {
  width: fit-content;
  border-bottom: 0.35em solid #000;
  padding-bottom: 0.1em;
  margin-bottom: 0.5em;
  text-transform: uppercase;
  letter-spacing: 0.12em; /* 60% / 1000 + em */
}
.text-left {
  margin-top: 2em;
}
#topbar {
  margin:auto;
}
#mainnav {
  margin-top: 2em;
}
#mainnav a, .mobnav a {
  width: fit-content !important;
  font-family: 'Helvetica Neue LT W05 75 Bold', 'Arial', sans-serif;
  font-size: 1.5em;
  font-weight: bold;
  letter-spacing: 0.06em; /* 60% / 1000 + em */
  text-transform: uppercase;
  border-bottom: 0.35em solid #212121;
  padding-bottom: 0.1em;
}

.mobnav a.v-list-item {
  padding: 0;
  margin-bottom: 1em;
  margin-left: 5px;
  min-height: 0;
  height: 20px !important;
}

#mainnav a {
  pointer-events: all;
  display: block;
  margin: auto 0 1em auto;
  line-height: 0.5em;
}

#mainnav a.active, .mobnav a.active,
#mainnav a:hover, .mobnav a:hover {
  color: #B2B2B2 !important;
  border-bottom-color: #B2B2B2;
}

#topbar {
  background-color: transparent;
  font-size: 1em !important;
  pointer-events: none;
}

.v-application .mobnav a {
  color: #fff;
}
</style>

<script>
import LanguageSwitch from './LanguageSwitch.vue';

export default {
  name: 'MainNavigation',
  components: {
    'language-switch': LanguageSwitch
  },
  data() {
    return {
      mobnav: false,
      mainnav: [
        { route: '/map', name: 'workspace', textKey: 'mainnav.map' },
        { route: '/gallery', name: 'annotationsList', textKey: 'mainnav.gallery' },
        { route: '/add', name: 'workspaceAdd', textKey: 'mainnav.add' },
        { route: '/', name: 'home', textKey: 'mainnav.home' }
      ]
    };
  }
};
</script>
